OpenSceneGraph Forum Forum Index OpenSceneGraph Forum
Official forum which mirrors the existent OSG mailing lists. Messages posted here are forwarded to the mailing list and vice versa.
 
   FAQFAQ    SearchSearch    MemberlistMemberlist    RulesRules    UsergroupsUsergroups    RegisterRegister 
 Mail2Forum SettingsMail2Forum Settings  ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
   AlbumAlbum  OpenSceneGraph IRC ChatOpenSceneGraph IRC Chat   SmartFeedSmartFeed 

Can't compile svn version of osgPPU against osg 2.8.3

Goto page Previous  1, 2
 
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> osgPPU [osgPPU]
View previous topic :: View next topic  
Author Message
Paul Martz
Guest





PostPosted: Thu Apr 22, 2010 7:51 pm    Post subject:
Can't compile svn version of osgPPU against osg 2.8.3
Reply with quote

Hi Art -- I'm a little confused. Maybe we're not communicating clearly.

Art Tevs wrote:
Quote:
As for osgPPU it is not only the getOrCreateGLBufferObject() which don't work, but also much more things. I tried yesterday to bring combine current trunk version of osgPPU with osg 2.8 and that didn't really worked out without introducing additional bugs.

OK. I understand you choose not to try to make your svn trunk head compatible
with older versions of OSG, and instead you are drawing a compatibility line
going forward. That's fine, and I understand this.

Quote:
So, I decided to submit several patches to the 0.4 release but do not include new features, only patches. This will be a 0.4.1 version, which will be compatible with up-to osg 2.8.3.

This part I do not understand. I just downloaded the osgPPU 0.4 tar.gz, and it
builds fine with OSG 2.8.3. Please tell me what you think you need to change in
osgPPU 0.4 to make it compatible with OSG 2.8.3.

Thanks.

--
-Paul Martz Skew Matrix Software
http://www.skew-matrix.com/


------------------
Post generated by Mail2Forum
Back to top
art (Art Tevs)
Site Admin


Joined: 20 Dec 2008
Posts: 414
Location: Saarbr├╝cken, Germany

PostPosted: Thu Apr 22, 2010 8:12 pm    Post subject:
Reply with quote

Hi Paul,

no, I do not have to change anything to build for 2.8.3 It is just that I added some small and big features to osgPPU. For example current svn trunk version has new Units (UnitInOutRepeat - for iterative/loop subgraphs), new examples and some bugfixes. I cannot use that new unit in 2.8.3 because it relay on some changes in 2.9.x versions (i.e. RenderingBin sorting mode TRAVERSE_ORDER).

However, some bugfixes can be included very well into 0.4 branch. I just cannot tag the svn trunk of osgppu in order to be compatible with latest stable release 2.8.3. Hence I have to repatch the 0.4 version in order to solve the bugs and hence maintain also the 0.4 branch. So the 0.4.1 version will include only bugfixes, no new features.


Cheers,
Art
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> osgPPU [osgPPU] All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Similar Topics
Topic Author Forum Replies Posted
No new posts Version 3.5.6 osgText::Text bounding ... dcfennell General 0 Tue Jan 31, 2017 5:40 pm View latest post
No new posts OpenThreads Pthread.cpp fails to comp... crubel@compro.net Submission 3 Tue Nov 29, 2016 9:26 pm View latest post
No new posts bug: Android cross compile (windows) ... remoe Build system [build] 0 Sat Oct 29, 2016 7:51 pm View latest post
No new posts glsl version 130 not supported (and r... Bruno Oliveira General 9 Sat Oct 22, 2016 6:22 pm View latest post
No new posts Qt version for OSG3.4.0 umadevi2193 General 4 Mon Oct 17, 2016 8:08 am View latest post


Board Security Anti Bot Question MOD - phpBB MOD against Spam Bots
Powered by phpBB © 2001, 2005 phpBB Group
Protected by Anti-Spam ACP